#pragma once
#include <map>
struct Fish_TherionTreasureCFGData
{
	//编号
	int mID;
	//抽奖类型
	int mDrawType;
	//朱雀倍率
	std::vector<int> mRosefinchRate;
	//朱雀权重
	int mRosefinchWeight;
};

class Fish_TherionTreasureCFG
{
public:
private:
	static std::auto_ptr<Fish_TherionTreasureCFG> msSingleton;
public:
	int GetCount();
	const Fish_TherionTreasureCFGData* GetData(int ID);
	const std::map<int, Fish_TherionTreasureCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_TherionTreasureCFG* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_TherionTreasureCFGData> mMapData;
};
